==============
Basic Geometry
==============

The basic geometry commands create geometric entities that are referenced by Part objects, Instance objects, and GeometrySet objects.

Object features
---------------

Cell
~~~~

.. autoclass:: abaqus.BasicGeometry.Cell.Cell
    :members:

    .. autoclasstoc::

CellArray
~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.CellArray.CellArray
    :members:

    .. autoclasstoc::

Edge
~~~~

.. autoclass:: abaqus.BasicGeometry.Edge.Edge
    :members:

    .. autoclasstoc::

EdgeArray
~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.EdgeArray.EdgeArray
    :members:

    .. autoclasstoc::

Face
~~~~

.. autoclass:: abaqus.BasicGeometry.Face.Face
    :members:

    .. autoclasstoc::

FaceArray
~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.FaceArray.FaceArray
    :members:

    .. autoclasstoc::

IgnoredEdge
~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.IgnoredEdge.IgnoredEdge
    :members:

    .. autoclasstoc::

IgnoredEdgeArray
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.IgnoredEdgeArray.IgnoredEdgeArray
    :members:

    .. autoclasstoc::

IgnoredVertex
~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.IgnoredVertex.IgnoredVertex
    :members:

    .. autoclasstoc::

IgnoredVertexArray
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.IgnoredVertexArray.IgnoredVertexArray
    :members:

    .. autoclasstoc::

InterestingPoint
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.InterestingPoint.InterestingPoint
    :members:

    .. autoclasstoc::

ModelDot
~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.ModelDot.ModelDot
    :members:

    .. autoclasstoc::

ModelDotArray
~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.ModelDotArray.ModelDotArray
    :members:

    .. autoclasstoc::

ReferencePoint
~~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.ReferencePoint.ReferencePoint
    :members:

    .. autoclasstoc::

ReferencePointArray
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.ReferencePointArray.ReferencePointArray
    :members:

    .. autoclasstoc::

ReferencePoints
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.ReferencePoints.ReferencePoints
    :members:

    .. autoclasstoc::

Transform
~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.Transform.Transform
    :members:

    .. autoclasstoc::

Vertex
~~~~~~

.. autoclass:: abaqus.BasicGeometry.Vertex.Vertex
    :members:

    .. autoclasstoc::

VertexArray
~~~~~~~~~~~

.. autoclass:: abaqus.BasicGeometry.VertexArray.VertexArray
    :members:

    .. autoclasstoc::
